Bug 43405 - Suborder has invalid values in database
Suborder has invalid values in database
Status: CLOSED DEFERRED
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-04 14:49 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 20:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-06-04 14:49:18 EDT
Description of Problem:
The RHN sub-orders which are created when a user orders a subscription
along with another product type ends up getting written to web_user_order
with a value for weight (which is actually the weight of the other items on
the order.)  In addition, the web_user_order record has ship_method
populated (there's nothing to ship.)

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Cameron Prince 2001-06-07 20:20:35 EDT
This has been fixed on webdevel and bmantest. The fix will apply to new orders
only and is not retroactive. All previous order will still display a ship method
in order history.
Comment 2 Jay Turner 2001-09-18 09:32:47 EDT
Closing this out as we did not launch Interchange.

Note You need to log in before you can comment on or make changes to this bug.